Subject: Re: bug#28700: 25.2; Cannot kill Eshell buffer

From: Live System User <[email-masked]>
Date: Wed, 04 Oct 2017 10:13:37 -0400

Noam Postavsky <[email-masked]> writes:

> Live System User <[email-masked]> writes:
>
>> Hi,
>>
>>         I cannot kill an Eshell buffer.
>>
>>         When I attekpt to kill it either by `(kill-buffer)`
>>         "C-x k" or `(save-buffers-kill-terminal)` "C-x C-c"
>>         I get the error:
>>
>>               run-hooks: Text is read-only
>>
>>         `kill-buffer-hook` is:
>>         
>> kill-buffer-hook is a variable defined in ‘files.el’.
>> Its value is (t eshell-kill-buffer-function)
>> Local in buffer *eshell*; global value is 
>> (tramp-delete-temp-file-function uniquify-kill-buffer-function vc-kill-buffer-hook)
>
> Can you get a backtrace if you M-x toggle-debug-on-error RET?

         Ufortunately no;

debug-on-error is a variable defined in ‘C source code’.
Its value is t
Original value was nil

         Only that *Message* buffer imfomation.

         Thanks.